import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/get?${stringify(params)}`);
}


export async function insertForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/deleteBatch`, {
        method: 'POST',
        data: params,
    });
}


export async function updateBatchForWordFileVersion(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileversion/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
